import QtQuick 1.0
import com.nokia.meego 1.0



Page {
//   orientationLock: PageOrientation.LockLandscape
//     orientationLock: PageOrientation.LockPortrait
    

    
    function updateData(network1, upload, download){
	console.log(network1, upload, download)
	network = network1
	txtupload.text = upload
	txtdownload.text = download	
    }
    
    
    
    
    id: networkPage
    
    property string network: ""
    
    Item{
	id: page
	width: parent.width   
	  
	  
	  
	  
	Item {
	  id: titlebar
	    width: parent.width
	    height: 70

	    Rectangle {
		anchors.fill: parent
		color: "orange";
	    }
	   
	    Label {
		anchors {
		    left: parent.left
		    leftMargin: 10
		    verticalCenter: parent.verticalCenter
		    top: parent.top
		    topMargin: 20
		}
		font.bold: true;
		font.pixelSize: 32
		color: "White"

		text: "GPRS Data Usage"
	    }
	}

		
	  
	Flickable {	  
	    id: flickable
	    width: parent.width
	    anchors.top: titlebar.bottom
	    height: mainPage.height - titlebar.height
	    contentWidth: parent.width
	    contentHeight: col.height + 20	    
	    clip: true
	    
	    Column{
		id: col
		anchors {
		    left: parent.left
		    leftMargin: 10
		    rightMargin: 10
		    topMargin: 10
		    top: parent.top
		}
		
		Row{		  		  
		    Text{
			id: networkheader
			text: "Set data of the " + network + " Network"
			font.bold: true;
			font.pixelSize: 26
			color: "gray"
			
		    }
		}
		
		
		
		
		Row{
		    spacing: 10
		    Text{			
			text: "Upload:"
			font.bold: true;
			font.pixelSize: 22
			verticalAlignment: Text.AlignVCenter
			height: 50
			width: 120
		    }
		      
		    TextField {         
			id: txtupload
			validator: IntValidator{bottom: 0; top: 10000;}
			inputMethodHints: Qt.ImhDigitsOnly | Qt.ImhNoPredictiveText
			height: 50
			width: 120
			onTextChanged: {
// 			    qml_to_python.getHomeData(homeupload.text, homedownload.text, cbhomealarm.checked, homealarm.text, false)
			    text = text * 1
			}
		    }
		 
		    Text{			
			text: "MB"
			font.bold: true;
			font.pixelSize: 22
			verticalAlignment: Text.AlignVCenter
			height: 50
			width: 120
		    }
		}
		
		Row{
		    spacing: 10
		    
		    Text{			
			text: "Download:"
			font.bold: true;
			font.pixelSize: 22
			verticalAlignment: Text.AlignVCenter
			height: 50
			width: 120
		    }
		    
		    TextField {         
			id: txtdownload
			validator: IntValidator{bottom: 0; top: 10000;}
			inputMethodHints: Qt.ImhDigitsOnly | Qt.ImhNoPredictiveText
			height: 50
			width: 120
			onTextChanged: {
// 			    qml_to_python.getHomeData(homeupload.text, homedownload.text, cbhomealarm.checked, homealarm.text, false)
			    text = text * 1
			}
		    }		      
		  
		    Text{			
			text: "MB"
			font.bold: true;
			font.pixelSize: 22
			verticalAlignment: Text.AlignVCenter
			height: 50
			width: 120
		    }
		}
		
		
		Row{
		    spacing: 10
		    
		    Rectangle{
			height: 10
			width: parent.width
			color: "transparent"
		    }	
		}
		
		

		Row{
		    spacing: 10

		    
		    Button {
			width: 150
			text: "Cancel"
			onClicked: {
// 			    qml_to_python.getHomeData(0, 0, cbhomealarm.checked, homealarm.text, true)
			    pageStack.pop()
			}
		    }  
		    
		    Button {
			width: 150
			text: "Save"
			onClicked: {
// 			    qml_to_python.getHomeData(0, 0, cbhomealarm.checked, homealarm.text, true)
			    savedialogue.open()
			}
		    }    
		}	
		
		
	    }
	}

    }

    
    
        

//*******************************************************

    QueryDialog {
        id: savedialogue
        icon: "/opt/gprs-data-usage/images/icon2.svg"
        titleText: "Save changes?"
        message: "Please do not forget to reboot your device!"

	acceptButtonText: "Ok"
// 	rejectButtonText: "Cancel"
	
	
	onAccepted:{
	    console.log("Ok")
	    if(network == "Home"){
		qml_to_python.getHomeData(txtupload.text, txtdownload.text) 
	    }
	    else{
		qml_to_python.getRoamingData(txtupload.text, txtdownload.text) 
	    }
	    pageStack.pop()

	}
	
// 	onRejected:{
// 	    console.log("cancel")
// 	    pageStack.pop()
// 	}


    }


}
