import QtQuick 1.0
import com.nokia.meego 1.0

PageStackWindow {
    id: appWindow
    
    
    function setQMLData(showHomeNetwork, autoreset, resetday, usedifference, difference){
	mainPage.setQMLData(showHomeNetwork, autoreset, resetday, usedifference, difference)
    }
        
    
    function setHomeData(gprs_home_tx_bytes, gprs_home_rx_bytes, gprs_home_last_reset){ 
	mainPage.setHomeData(gprs_home_tx_bytes, gprs_home_rx_bytes, gprs_home_last_reset)
    }
    
    
    function setRoamingData(gprs_roaming_tx_bytes, gprs_roaming_rx_bytes, gprs_roaming_last_reset){
	mainPage.setRoamingData(gprs_roaming_tx_bytes, gprs_roaming_rx_bytes, gprs_roaming_last_reset)
    }
    
    
    
    
    
    
    
    initialPage: mainPage
    MainPage{id: mainPage}


    Menu {
        id: myMenu
        MenuLayout {

            MenuItem {
                text: "About"
                onClicked: { about.open(); }
            }
        }
    }



    QueryDialog {
        id: about
        icon: "/opt/gprs-data-usage/images/icon2.svg"
        titleText: "GPRS Data Usage"
        message: "Version: " + qml_to_python.get_version() + "\n" +
		 "Copyright 2012 by George Ruinelli\n"+
                 "Contact: george@ruinelli.ch\n"+
                 "Web: www.ruinelli.ch/tools"
	acceptButtonText: "Ok"
    }


}
